Extremely unstable FPS rate
Description

My PC:

Intel 6600K@4.4GHz (iGPU 530)
8GB RAM

Linux Mint 18.1

Oibaf/Padoka Mesa PPA

For about two weeks now, KSP is suffering from a very weird performance issue.

The framerate seems fine overall (50-60fps), but the frames are seemingly delivered extremely uneven, so that the game actually
stutters heavily. The stuttering is absolutely unrelated to graphics settings, | tried both the usual (1080p with high details) and lowest
possible settings (720p with every detail reduced to lowest) with the same result.

Furthermore, not only the game itself is stuttering, but the desktop itself is stuttering with exactly the same rhythm.

The only change in my system | could maybe relate to the issue is an update to the mesa library through the oibaf-ppa. Other
OpenGL based applications run fine. (I tested XCOM)

Unfortunately, reverting to an earlier version of mesa and the many related libraries goes beyond my knowledge right now.

History

#1 - 03/12/2017 01:09 PM - gfrodo

| can confirm this bug.

My configuration:

Linux Mint 18.1

Intel 6200U with 520 Graphics
16GB RAM

Standard Mesa driver (no ppa)
KSP 1.2.2

V-Sync: every V-Blank

Frame Limit: 60FPS

Framerates (min;avg;max):
Start screen: 25;45;170
KSC: 25;35;140

Craft in orbit: 25;29;45
Landed craft: 25;44;90

In flight, the average framerate is low, because of my graphic settings and the power of my Intel GPU, but steady. With higher average framerates like
at the KSC, Tracking Station, the frames are more bumpy. Sometimes in flight (maybe once every few hours) the screen hangs for up to 0.5s without
any reason.

Another GPU application like glxgears gets very stuttering when KSP is running too, but has constant average 60FPS (with v-sync), no matter
whether KSP is running or not.

#2 - 03/14/2017 04:41 PM - AlffromKerbal

Tried deactivating v-sync?

Once i had massive playability problems at a game, after i turned off v-sync, it ran like a charm.

#3 - 03/14/2017 04:56 PM - roboblocky

Yes, no change.

04/09/2024 12



mailto:6600K@4.4GHz

#4 - 03/22/2017 10:56 AM - sal_vager
- Severity changed from High to Normal

#5 - 03/22/2017 11:02 AM - sal_vager

- Status changed from New to Need More Info

Hi, KSP 1.2.2 has not had any changes in the last 3 weeks, so if it was running fine before this is should be running fine now unless there is an
external issue.

Please see the wiki and provide your game logs, full hardware/driver information, settings.cfg and the saves you are using.
Please also test with no other programs running, even your browser can be using a lot of memory and cpu which will leave less for KSP.

#6 - 04/30/2017 06:02 PM - joebopie

Instll this http://forum.kerbalspaceprogram.com/index.php?/topic/139128-12x-memgraph-1103-with-stutter-reduction/

load the save and see if the Lines coinside with the judders. that will confirm if its the Mono ram clearance that is causing the problem.

#7 - 04/30/2017 06:03 PM - joebopie

Just because it wasnt happening last week doesnt mean its not the game. Having a more full save file could have made this problem show its head.
